﻿// <auto-generated />
using System;
using EventStore.PostgreSql.DataContexts;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace EventStore.PostgreSql.Migrations.DomainDbMigrations
{
    [DbContext(typeof(DomainDbContext))]
    [Migration("20210304205345_init")]
    partial class init
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasDefaultSchema("demo")
                .HasAnnotation("Relational:MaxIdentifierLength", 63)
                .HasAnnotation("ProductVersion", "5.0.3")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Company", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.HasKey("Id");

                    b.HasIndex("Name");

                    b.ToTable("Companies");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Penetration", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("Comments")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<DateTime>("Date")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("Floor")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("Installer")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.Property<long>("ProductId")
                        .HasColumnType("bigint");

                    b.Property<long>("ProjectId")
                        .HasColumnType("bigint");

                    b.Property<long>("UlSystem")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("ProjectId");

                    b.ToTable("Penetrations");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.PenetrationImage", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("ImageUrl")
                        .HasColumnType("text");

                    b.Property<bool>("IsPreInstall")
                        .HasColumnType("boolean");

                    b.Property<long>("PenetrationId")
                        .HasColumnType("bigint");

                    b.HasKey("Id");

                    b.HasIndex("PenetrationId");

                    b.ToTable("PenetrationImage");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Project", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("Building")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.Property<long>("CompanyId")
                        .HasColumnType("bigint");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.Property<string>("SubContractorName")
                        .HasMaxLength(300)
                        .HasColumnType("character varying(300)");

                    b.HasKey("Id");

                    b.HasIndex("CompanyId");

                    b.HasIndex("Name");

                    b.ToTable("Projects");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Penetration", b =>
                {
                    b.HasOne("EventStore.PostgreSql.DomainModels.Project", "Project")
                        .WithMany("Penetrations")
                        .HasForeignKey("ProjectId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.Navigation("Project");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.PenetrationImage", b =>
                {
                    b.HasOne("EventStore.PostgreSql.DomainModels.Penetration", "Penetration")
                        .WithMany("PenetrationImages")
                        .HasForeignKey("PenetrationId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Penetration");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Project", b =>
                {
                    b.HasOne("EventStore.PostgreSql.DomainModels.Company", "Company")
                        .WithMany("Projects")
                        .HasForeignKey("CompanyId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.Navigation("Company");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Company", b =>
                {
                    b.Navigation("Projects");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Penetration", b =>
                {
                    b.Navigation("PenetrationImages");
                });

            modelBuilder.Entity("EventStore.PostgreSql.DomainModels.Project", b =>
                {
                    b.Navigation("Penetrations");
                });
#pragma warning restore 612, 618
        }
    }
}
